# WinStd: Exceptions

Loading...
Searching...
No Matches
Exceptions

## Classes

class | winstd::com_runtime_error
| COM runtime error. More...
class | winstd::num_runtime_error< _Tn >
| Numerical runtime error. More...
class | winstd::last_error_saver
| Saves GetLastError and restores SetLastError when going out of scope. More...
class | winstd::win_runtime_error
| Windows runtime error. More...
class | winstd::eap_runtime_error
| EapHost runtime error. More...
class | winstd::sec_runtime_error
| Security runtime error. More...

## Functions

std::string | winstd::load_msg_from_res (HMODULE hModule, UINT nId, WORD wLanguage)
| Loads exception message string from resources and converts it to UTF-8.
std::string | winstd::fmt_msg_from_res (HMODULE hModule, UINT nId, WORD wLanguage,...)
| Loads exception message sprintf template from resources, formats it and converts it to UTF-8.

## Detailed Description

## Function Documentation

## fmt_msg_from_res()

std::string winstd::fmt_msg_from_res | ( | HMODULE | hModule,
|  | UINT | nId,
|  | WORD | wLanguage,
|  |  | ... )

inline

Loads exception message sprintf template from resources, formats it and converts it to UTF-8.

Parameters

  [in] | hModule | Module to load resource string from
  [in] | nId | Resource string ID number
  [in] | wLanguage | Resource string language

Returns
  Loaded string in UTF-8 encoding. As std::exception messages may only be char*, we use UTF-8 by convention.

## load_msg_from_res()

std::string winstd::load_msg_from_res | ( | HMODULE | hModule,
|  | UINT | nId,
|  | WORD | wLanguage )

inline

Loads exception message string from resources and converts it to UTF-8.

Parameters

  [in] | hModule | Module to load resource string from
  [in] | nId | Resource string ID number
  [in] | wLanguage | Resource string language

Returns
  Loaded string in UTF-8 encoding. As std::exception messages may only be char*, we use UTF-8 by convention.